Page MenuHomePhabricator

PLURAL support for Coll-load local book
Closed, ResolvedPublic

Description

Reporting this bug per an old translatewiki thread[1], the message [[:w:MediaWiki:Coll-load local book]] doesn't support plural. It needs to support plural over the %NUMPAGES% parameter. This is needed for proper hindi translation of the sentence. Its probably also needed for other languages.

Hindi translation won't require support for plural over %TITLE% but I can't say if other languages may need this support.

[1]: http://translatewiki.net/wiki/Thread:Support/PLURAL_support_for_Coll-load_local_book


Version: unspecified
Severity: normal

Details

Reference
bz54679

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:20 AM
bzimport added a project: Collection.
bzimport set Reference to bz54679.
bzimport added a subscriber: Unknown Object (MLST).
saper added a comment.Sep 27 2013, 1:00 PM

While here, we should get rid of horrible %TITLE% handling with parens:

21 txt = txt.replace(/%TITLE%/, c.title ? '("' + c.title + '")' : '');
22 txt = txt.replace(/%NUMPAGES%/, num_pages);

It gets worse - check out where the 'txt' variable comes from.

Change 224959 had a related patch set uploaded (by Siebrand):
Use plural and remove legacy code

https://gerrit.wikimedia.org/r/224959

For demo session Hackathon

Change 224959 merged by jenkins-bot:
Use plural and remove legacy code

https://gerrit.wikimedia.org/r/224959

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 10 2015, 8:25 AM

Is not this bug fixed by now and should be closed as fixed? Need to update /qqq though.

Jdlrobson closed this task as Resolved.Sep 7 2017, 2:38 PM
Jdlrobson claimed this task.